package com.flyfish.framework.annotations;

import java.lang.annotation.*;

/**
 * 表单项属性
 *
 * @author wangyu
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface FormItem {

    /**
     * @return 组件
     */
    String component() default "a-input";

    /**
     * 属性key=value
     *
     * @return 结果
     */
    FormItemProp[] props() default {};

    /**
     * @return 布局
     */
    String layout() default "";
}
