package com.flyfish.framework.annotations;

import java.lang.annotation.*;

/**
 * 表单域属性
 *
 * @author wangyu
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface FormItemProp {

    /**
     * 键
     *
     * @return 键
     */
    String key();

    /**
     * 值
     *
     * @return 值
     */
    String value();
}
